[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Using yum for FC6 rawhide and extras



On Sat, 2006-10-21 at 23:11 -0400, Jesse Keating wrote:
> On Saturday 21 October 2006 23:07, Jeff Vian wrote:
> > I think he wanted just the opposite.  Packages in the repo that were not
> > installed
> 
> Whoops.  From the same man page:
> 
>        yum list available [glob_exp1] [...]
>               List all packages in the yum repositories available to be 
> installed.
> 

The following does not give what I was expecting:

yum list extras available "*"
Plugin "downloadonly" uses deprecated constant TYPE_INTERFACE.
Please use TYPE_INTERACTIVE instead.
Loading "downloadonly" plugin
Plugin "tsflags" uses deprecated constant TYPE_INTERFACE.
Please use TYPE_INTERACTIVE instead.
Loading "tsflags" plugin
Loading "fedorakmod" plugin
Loading "skip-broken" plugin
Plugin "allowdowngrade" uses deprecated constant TYPE_INTERFACE.
Please use TYPE_INTERACTIVE instead.
Loading "allowdowngrade" plugin
Loading "installonlyn" plugin
Loading "protectbase" plugin
Loading "kernel-module" plugin
Loading "changelog" plugin
Loading "fastestmirror" plugin
Setting up repositories
Loading mirror speeds from cached hostfile
Reading repository metadata in from local files
0 packages excluded due to repository protections
Extra Packages
kernel.i686                             2.6.18-1.2784.fc6      installed
kernel-PAE.i686                         2.6.18-1.2784.fc6      installed
kernel-PAE-devel.i686                   2.6.18-1.2784.fc6      installed
kernel-devel.i686                       2.6.18-1.2784.fc6      installed
kernel-kdump.i686                       2.6.18-1.2784.fc6      installed
kernel-kdump-devel.i686                 2.6.18-1.2784.fc6      installed
kernel-xen.i686                         2.6.18-1.2784.fc6      installed
kernel-xen-devel.i686                   2.6.18-1.2784.fc6      installed
openmotif.i386                          2.3.0-0.4              installed
openmotif-devel.i386                    2.3.0-0.4              installed
[root python ~]#

=================================================================================

The following command looks at all enabled repos and yields what I
expect.  However, I would like to look at one repo at a time:

yum list available "*"

[root python ~]# yum list available "*"
Plugin "downloadonly" uses deprecated constant TYPE_INTERFACE.
Please use TYPE_INTERACTIVE instead.
Loading "downloadonly" plugin
Plugin "tsflags" uses deprecated constant TYPE_INTERFACE.
Please use TYPE_INTERACTIVE instead.
Loading "tsflags" plugin
Loading "fedorakmod" plugin
Loading "skip-broken" plugin
Plugin "allowdowngrade" uses deprecated constant TYPE_INTERFACE.
Please use TYPE_INTERACTIVE instead.
Loading "allowdowngrade" plugin
Loading "installonlyn" plugin
Loading "protectbase" plugin
Loading "kernel-module" plugin
Loading "changelog" plugin
Loading "fastestmirror" plugin
Setting up repositories
Loading mirror speeds from cached hostfile
Reading repository metadata in from local files
0 packages excluded due to repository protections
Available Packages
ClanLib-devel.i386               0.8.0-3.fc6            extras-developme
ClanLib06-devel.i386             0.6.5-7.fc6            extras-developme
Inventor-demos.i386              2.1.5-24.fc6           extras-developme
Inventor-examples.i386           2.1.5-24.fc6           extras-developme
InventorXt.i386                  2.1.5-24.fc6           extras-developme
InventorXt-devel.i386            2.1.5-24.fc6           extras-developme
MegaMek.i386                     0.30.11-1.fc6          extras-developme
QuantLib.i386                    0.3.13-4.fc6           extras-developme
QuantLib-devel.i386              0.3.13-4.fc6           extras-developme
QuantLib-doc.i386                0.3.13-4.fc6           extras-developme
QuantLib-test.i386               0.3.13-4.fc6           extras-developme
anjuta-devel.i386                1:2.0.2-8.fc6          extras-developme
bmp.i386                         0.9.7.1-6.fc6          extras-developme
bmp-devel.i386                   0.9.7.1-6.fc6          extras-developme
bmp-flac2.i386                   009-2.fc6              extras-developme
cernlib.i386                     2005-26.fc6            extras-developme
cernlib-devel.i386               2005-26.fc6            extras-developme
cernlib-packlib.i386             2005-26.fc6            extras-developme
cernlib-utils.i386               2005-26.fc6            extras-developme
cmucl-extras.i386                19c-7.fc6              extras-developme
compat-wxGTK-common-devel.i386   2.4.2-21.fc6           extras-developme

*
*
*


Thanks,
Ernesto
> 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]